import request from '@/utils/request'

// 查询商品信息列表
export function listProdectInfo(query) {
  return request({
    method: 'get',
    params: {
      _gp: 'admin.unimall.marketProdectInfo',
      _mt: 'list',
      ...query
    }
  })
}

// 查询商品信息详细
export function getProdectInfo(id) {
  return request({
    method: 'get',
    params: {
      _gp: 'admin.unimall.marketProdectInfo',
      _mt: 'get',
      id: id
    }
  })
}

// 新增商品信息
export function addProdectInfo(data) {
  return request({
    method: 'post',
    params: {
      _gp: 'admin.unimall.marketProdectInfo',
      _mt: 'add',
      marketProdectInfo: data
    }
  })
}

// 修改商品信息
export function updateProdectInfo(data) {
  return request({
    method: 'post',
    params: {
      _gp: 'admin.unimall.marketProdectInfo',
      _mt: 'update',
      marketProdectInfo: data
    }
  })
}

// 删除商品信息
export function delProdectInfo(id) {
  return request({
    method: 'post',
    params: {
      _gp: 'admin.unimall.marketProdectInfo',
      _mt: 'delete',
      id: id
    }
  })
}

// 导出商品信息
export function exportProdectInfo(query) {
  return request({
    method: 'get',
    params: {
      _gp: 'admin.unimall.marketProdectInfo',
      _mt: 'export',
      ...query
    }
  })
}
